alter table tblKlienci add NazwiskoSoundex varchar(4) null
go

update tblKlienci
set NazwiskoSoundex = soundex(Nazwisko)
go
select Nazwisko, NazwiskoSoundex
from tblKlienci
go

create trigger trKlientI
on tblKlienci
for insert, update
as
   update tblKlienci
   set tblKlienci.NazwiskoSoundex = soundex(tblCustomer.Nazwisko)
   from inserted
   where tblKlienci.ID = inserted.ID
go
